Index: .gitignore
===================================================================
--- .gitignore	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ .gitignore	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -1,6 +1,1 @@
 .DS_Store
-*.class
-LostPerception.jar
-MapEditor.jar
-err.txt
-errMapEditor.txt
Index: gamegui/RadioGroup.java
===================================================================
--- gamegui/RadioGroup.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ gamegui/RadioGroup.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -1,3 +1,3 @@
-package gamegui;
+ackage gamegui;
 
 import java.awt.FontMetrics;
Index: main/Creature.java
===================================================================
--- main/Creature.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/Creature.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -13,5 +13,6 @@
 import java.awt.geom.Point2D;
 
-public class Creature extends MapObject {
+public class Creature extends MapObject
+{
     String name;
     private Model model;
@@ -76,5 +77,5 @@
         this.dead = false;
         this.id = Creature.lastId;
-        Creature.lastId++;
+        ++Creature.lastId;
     }
     
Index: main/Enemy.java
===================================================================
--- main/Enemy.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/Enemy.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -8,5 +8,6 @@
 import java.awt.Point;
 
-public class Enemy extends Creature {
+public class Enemy extends Creature
+{
     int xpReward;
     Point patrolTarget;
Index: main/Item.java
===================================================================
--- main/Item.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/Item.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -9,5 +9,6 @@
 import utils.DynamicImage;
 
-public class Item extends MapObject {
+public class Item extends MapObject
+{
     private String name;
     private DynamicImage img;
Index: main/LostHavenRPG.java
===================================================================
--- main/LostHavenRPG.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/LostHavenRPG.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -1,3 +1,7 @@
 package main;
+
+import java.io.OutputStream;
+import java.io.PrintStream;
+import java.io.FileOutputStream;
 
 import java.awt.event.KeyEvent;
@@ -27,8 +31,4 @@
 import java.awt.event.MouseListener;
 import java.awt.event.KeyListener;
-
-import java.io.OutputStream;
-import java.io.PrintStream;
-import java.io.FileOutputStream;
 
 import collision.Bound;
@@ -180,5 +180,5 @@
             this.g = bufferStrategy.getDrawGraphics();
             this.refreshRate = device.getDisplayMode().getRefreshRate();
-            Utils.init(gc, RUNNING_FROM_JAR);
+            Utils.init(gc, false);
             this.gameState = GameState.Main;
             this.auxState = AuxState.None;
@@ -237,6 +237,5 @@
         this.g = bufferStrategy.getDrawGraphics();
         this.gcsLogo.draw(this.g, 0, 0);
-        this.g.setColor(Color.black);
-        this.g.setFont(this.guiFont12);
+        this.g.setColor(Color.green);
         this.g.drawString("Loading...", 368, 31);
         this.g.dispose();
@@ -245,15 +244,15 @@
     
     private void loadGUI(final BufferStrategy bufferStrategy) {
+        this.font14 = new Font("Arial", 0, 14);
         this.gcsLogo = new DynamicImage("gui/gcslogo.png");
-        this.guiFont12 = new Font("Garamond", 1, 12);
-        this.m = this.g.getFontMetrics(this.guiFont12);
+        this.g.setFont(this.font14);
         this.updateLoadingScreen(bufferStrategy);
-
         this.font11 = new Font("Arial", 0, 11);
         this.font12 = new Font("Arial", 0, 12);
-        this.font14 = new Font("Arial", 0, 14);
         this.font24 = new Font("Arial", 0, 24);
         this.fontTT = new Font("Courier New", 0, 11);
+        this.guiFont12 = new Font("Garamond", 1, 12);
         this.guiFont14 = new Font("Garamond", 1, 14);
+        this.m = this.g.getFontMetrics(this.guiFont12);
         try {
             final Font fontCustom = Utils.loadFont("images/gui/Last_words.ttf");
@@ -263,5 +262,6 @@
             this.fontCustom24 = fontCustom.deriveFont(0, 24.0f);
             this.fontCustom30 = fontCustom.deriveFont(0, 30.0f);
-        } catch (Exception e) {
+        }
+        catch (Exception e) {
             e.printStackTrace();
         }
@@ -716,5 +716,5 @@
         switch (this.gameState) {
             case Main: {
-                this.wndMain.draw(g);
+                //this.wndMain.draw(g);
                 break;
             }
Index: main/MapEditor.java
===================================================================
--- main/MapEditor.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/MapEditor.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -40,5 +40,6 @@
 import java.awt.event.KeyListener;
 
-public class MapEditor implements KeyListener, MouseListener {
+public class MapEditor implements KeyListener, MouseListener
+{
     public static final int RES_X = 1024;
     public static final int RES_Y = 768;
@@ -95,9 +96,12 @@
     boolean highLevelPlacement;
     Point playerLoc;
+    Point start;
     
     public MapEditor(final GraphicsDevice device) {
         this.started = false;
+        this.start = null;
         try {
             GraphicsConfiguration gc = device.getDefaultConfiguration();
+            gc = device.getDefaultConfiguration();
             (MapEditor.frmMain = new Frame(gc)).setUndecorated(true);
             MapEditor.frmMain.setIgnoreRepaint(true);
@@ -113,5 +117,5 @@
             this.mapBuffer = gc.createCompatibleImage(800, 600);
             this.mapG = this.mapBuffer.getGraphics();
-            Utils.init(gc, RUNNING_FROM_JAR);
+            Utils.init(gc, false);
             this.state = State.Main;
             this.auxState = AuxState.None;
@@ -148,8 +152,10 @@
                 }
             }
-        } catch (Exception e) {
+        }
+        catch (Exception e) {
             e.printStackTrace();
             return;
-        } finally {
+        }
+        finally {
             device.setFullScreenWindow(null);
         }
@@ -710,5 +716,5 @@
         final int xMap = x / 40;
         final int yMap = y / 40;
-        final ArrayList<Tile>[] tiles = new ArrayList[9];
+        final ArrayList[] tiles = new ArrayList[9];
         final GroundType[] middle = this.getBreakdown(tile);
         final GroundType[] breakdown = new GroundType[4];
@@ -1098,5 +1104,6 @@
             final GraphicsDevice device = env.getDefaultScreenDevice();
             new MapEditor(device);
-        } catch (Exception e) {
+        }
+        catch (Exception e) {
             e.printStackTrace();
         }
Index: main/MapObject.java
===================================================================
--- main/MapObject.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ main/MapObject.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -5,5 +5,6 @@
 import java.awt.Point;
 
-public class MapObject implements Comparable<MapObject> {
+public class MapObject implements Comparable<MapObject>
+{
     public Point loc;
     public int z;
@@ -14,6 +15,7 @@
         this.loc = new Point(x, y);
         this.z = z;
-        this.bound = null;
-        this.selectionBound = null;
+        final Bound bound = null;
+        this.selectionBound = bound;
+        this.bound = bound;
     }
     
Index: makefile
===================================================================
--- makefile	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ makefile	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -1,21 +1,14 @@
-# NOTE: Currently, this assumes that I have first compiled the .java files into .class files
-
-# Use something like "LostPerception: MAP_FILE_DEPS = maps/*.txt" to specify var for a specific target
-
 ASTAR_DEPS = astar/AStarMap.class astar/AStarNode.class astar/AStarSearch.class astar/BinaryHeap.class astar/QuadTree.class
 COLLISION_DEPS = collision/Bound.class
-#GAMEGUI_DEPS = gamegui/Align.class gamegui/Animation.class gamegui/Button.class gamegui/Label.class gamegui/Listable.class gamegui/Member.class gamegui/ScrollBar.class gamegui/ScrollList.class gamegui/Textbox.class gamegui/Window.class
-GAMEGUI_DEPS = gamegui/Align.class gamegui/Animation.class gamegui/Button.class gamegui/Label.class gamegui/Member.class gamegui/ScrollBar.class gamegui/ScrollList.class gamegui/Window.class
+GAMEGUI_DEPS = gamegui/Align.class gamegui/Animation.class gamegui/Button.class gamegui/Label.class gamegui/Listable.class gamegui/Member.class gamegui/ScrollBar.class gamegui/ScrollList.class gamegui/Textbox.class gamegui/Window.class
 UTILS_DEPS = utils/DynamicImage.class utils/Utils.class utils/WrappedString.class
 
 MAIN_DEPS = main/Action.class main/Armor.class main/Creature.class main/Dialog.class main/Direction.class main/Effect.class main/Enemy.class main/Item.class main/Location.class main/LostHavenRPG.class main/Map.class main/MapImage.class main/MapObject.class main/MapType.class main/Model.class main/NPC.class main/Player.class main/StatType.class main/Tile.class main/Weapon.class
 
-#GAMEGUI_INNER_DEPS = gamegui/Button\$$1.class gamegui/Label\$$1.class
-LostPerception: GAMEGUI_INNER_DEPS = gamegui/Button\$$1.class gamegui/Label\$$1.class
-#MAIN_INNER_DEPS = main/Armor\$$ArmorType.class main/Effect\$$MoveSpeed.class main/Effect\$$Hitpoints.class main/Effect\$$Manapoints.class main/Effect\$$Damage.class main/Effect\$$AttackSpeed.class main/LostHavenRPG\$$1.class main/LostHavenRPG\$$AuxState.class main/LostHavenRPG\$$GameState.class main/Model\$$1.class
-LostPerception: MAIN_INNER_DEPS = main/Armor\$$ArmorType.class main/Effect\$$AttackSpeed.class main/Effect\$$Damage.class main/Effect\$$Hitpoints.class main/Effect\$$MoveSpeed.class main/LostHavenRPG\$$1.class main/LostHavenRPG\$$AuxState.class main/LostHavenRPG\$$GameState.class main/Model\$$1.class
-LostPerception: UTILS_INNER_DEPS = utils/Utils\$$1.class
+GAMEGUI_INNER_DEPS = gamegui/Button\$$1.class gamegui/Label\$$1.class
+MAIN_INNER_DEPS = main/Armor\$$ArmorType.class main/Effect\$$MoveSpeed.class main/Effect\$$Hitpoints.class main/Effect\$$Manapoints.class main/Effect\$$Damage.class main/Effect\$$AttackSpeed.class main/LostHavenRPG\$1.class main/LostHavenRPG\$$AuxState.class main/LostHavenRPG\$$GameState.class main/Model\$$1.class
+UTILS_INNER_DEPS = utils/Utils\$$1.class
 
-LostPerception: INNER_DEPS = $(GAMEGUI_INNER_DEPS) $(MAIN_INNER_DEPS) $(UTILS_INNER_DEPS)
+INNER_DEPS = $(GAMEGUI_INNER_DEPS) $(MAIN_INNER_DEPS) $(UTILS_INNER_DEPS)
 
 DIALOG_FILE_DEPS = dialog/*.txt
@@ -26,25 +19,4 @@
 FILE_DEPS = $(DIALOG_FILE_DEPS) $(IMAGE_FILE_DEPS) $(MAP_FILE_DEPS)
 
-LostPerception: $(CLASS_DEPS) $(FILE_DEPS)
-	jar cfe $@.jar main.LostHavenRPG $^ $(INNER_DEPS)
-
-ASTAR_DEPS = astar/AStarMap.class astar/AStarNode.class astar/QuadTree.class
-COLLISION_DEPS = collision/Bound.class
-GAMEGUI_DEPS = gamegui/Align.class gamegui/Animation.class gamegui/Button.class gamegui/Label.class gamegui/Member.class gamegui/ScrollBar.class gamegui/Textbox.class gamegui/Window.class
-UTILS_DEPS = utils/DynamicImage.class utils/Utils.class
-
-MAIN_DEPS = main/Action.class main/Creature.class main/Direction.class main/Enemy.class main/Item.class main/Location.class main/Map.class main/MapEditor.class main/MapImage.class main/MapObject.class main/MapType.class main/Model.class main/Player.class main/StatType.class main/Tile.class 
-
-MapEditor: GAMEGUI_INNER_DEPS = gamegui/Button\$$1.class gamegui/Label\$$1.class
-MapEditor: MAIN_INNER_DEPS = main/MapEditor\$$1.class main/MapEditor\$$AuxState.class  main/MapEditor\$$GroundType.class main/MapEditor\$$State.class main/Model\$$1.class
-MapEditor: UTILS_INNER_DEPS = utils/Utils\$$1.class
-
-MapEditor: INNER_DEPS = $(GAMEGUI_INNER_DEPS) $(MAIN_INNER_DEPS) $(UTILS_INNER_DEPS)
-
-IMAGE_FILE_DEPS = images/*/*.png images/creatures/*/*/*.png
-
-CLASS_DEPS = $(MAIN_DEPS) $(ASTAR_DEPS) $(GAMEGUI_DEPS) $(COLLISION_DEPS) $(UTILS_DEPS)
-FILE_DEPS = $(IMAGE_FILE_DEPS)
-
-MapEditor: $(CLASS_DEPS) $(FILE_DEPS)
-	jar cfe $@.jar main.MapEditor $^ $(INNER_DEPS)
+LostHavenRPG: $(CLASS_DEPS) $(FILE_DEPS)
+	jar cfe $@.jar main.$@ $^ $(INNER_DEPS)
Index: utils/Utils.java
===================================================================
--- utils/Utils.java	(revision e5d29360c2128093a9e2ee243d4a187a8f1e9470)
+++ utils/Utils.java	(revision ebd353806cbf06ffc98ff5f5a8f0cf5d637f21f4)
@@ -33,5 +33,6 @@
 import java.awt.GraphicsConfiguration;
 
-public class Utils {
+public class Utils
+{
     private static boolean RUNNING_FROM_JAR;
     private static Utils classLoaderReference;
